package com.zcloud.mapper.dsno2.corp;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 实施人员管理
 * @author zyh
 * @version 2023年7月4日
 */
public interface ImplementationManagementMapper {

    /**
     * 实施人员管理列表
	 * @param page
     * @return
	 */
	List<PageData> listPageForImplManagementList(Page page);

    /**
     * 实施人员管理查询机构列表
	 * @param pd
     * @return
	 */
	List<PageData> getAgencyListForImplManagement(PageData pd);

	/**
	 * 实施人员管理查询项目负责人列表
	 * @param pd
	 * @return
	 */
	List<PageData> getProjectLeaderListForImplManagement(PageData pd);

	/**
	 * 实施人员管理查询运维人员列表
	 * @param pd
	 * @return
	 */
	List<PageData> getMaintenancePersonListForImplManagement(PageData pd);

	/**
	 * 根据企业id查询
	 * @param pd
	 * @return
	 */
	PageData getCorpInfoByCorpInfoId(PageData pd);
}

